Skip to main content
GET
/
processors
/
{id}
Get processor details
curl --request GET \
  --url https://olive-gateway-a6ba.onrender.com/api/v1/processors/{id} \
  --header 'Authorization: <api-key>'
{}

Get Processor

Retrieve detailed information about a specific processor.

Endpoint

GET /api/v1/processors/:id

Authentication

Authorization
string
required
Bearer token (Admin JWT)

Path Parameters

id
string
required
Processor UUID

Response

{
  "processor": {
    "id": "proc_abc123",
    "name": "Smart PAY Merchant",
    "phone_number": "+23277123456",
    "email": "merchant@smartpay.sl",
    "account_id": "acc_xyz789",
    "status": "active",
    "created_at": "2025-01-15T10:30:00Z"
  }
}

Errors

CodeDescription
404Processor not found
401Unauthorized

Authorizations

Authorization
string
header
required

JWT token from admin login for administrative operations. Format: 'Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...'

Path Parameters

id
string
required

Processor ID

Response

Processor details

The response is of type object.